Bug 1277181 - Document the support of live change to RHEV logging using JMX (and more)
Document the support of live change to RHEV logging using JMX (and more)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity unspecified
: ovirt-4.1.11
: ---
Assigned To: rhev-docs@redhat.com
rhev-docs@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 10:21 EST by Roy Golan
Modified: 2018-06-13 20:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-13 20:29:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy Golan 2015-11-02 10:21:27 EST
3.6 will support interacting with the engine JMX enabled beans using JMX
specifically using $JBOSS_HOME/bin/jboss-cli.sh

With this everyone with admin@internal permission can raise the logging level to 
DEBUG or tweak it as he like. Obviously this would be a great addition to the user-guide and not a KB.

For reference, please see [1] for logging specifically and [2] for more control using JMX

[1] http://www.ovirt.org/OVirt_Engine_Development_Environment#Enable_DEBUG_log_-_Runtime_change.2C_no_restart

[2] http://www.ovirt.org/OVirt_Engine_Development_Environment#JMX_Support
Comment 1 Yaniv Lavi 2015-11-11 08:42:56 EST
I think a kbase is more the direction to take to with this. This is not a flow users will use without support.
Comment 2 Roy Golan 2015-11-12 02:43:27 EST
Correcting my self - not a user guide but Administration Guide. It already have a dedicated section on Log Files [1]. Its a basic function of the system.


[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.2/html-single/Administration_Guide/index.html#sect-Collecting_Logs_with_the_Log_Collector_Tool
Comment 3 Yaniv Lavi 2016-05-09 07:01:53 EDT
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.

Note You need to log in before you can comment on or make changes to this bug.